package com.yonge.cooleshow.biz.dal.dto;


import com.yonge.cooleshow.biz.dal.entity.BaseMessage;

import java.util.List;

public class ImNetworkMusicSheetDownloadStatusMessage extends BaseMessage {
    private Integer studentId;

    private List<CourseScheduleStudentMusicSheetResult> studentMusicScores;

    public ImNetworkMusicSheetDownloadStatusMessage(Integer studentId, List<CourseScheduleStudentMusicSheetResult> studentMusicScores) {
        this.studentId = studentId;
        this.studentMusicScores = studentMusicScores;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public List<CourseScheduleStudentMusicSheetResult> getStudentMusicScores() {
        return studentMusicScores;
    }

    public void setStudentMusicScores(List<CourseScheduleStudentMusicSheetResult> studentMusicScores) {
        this.studentMusicScores = studentMusicScores;
    }

    @Override
    public String getObjectName() {
        return "DY:MSDSMsg";
    }
}
